#include "downloader.h"

#ifndef DOWNLOAD_SERVER
#define DOWNLOAD_SERVER "https://www.intevation.de"
#endif

#ifdef Q_OS_WIN
#endif

#include <QFile>
#include <QDebug>

Downloader::Downloader(QObject* parent, const QString& url):
    QThread(parent),
    mUrl(url)
{
    QFile certResource(":certificates/https");
    certResource.open(QFile::ReadOnly);
    mCert = certResource.readAll();
    certResource.close();
}

Downloader::Downloader(QObject* parent, const QString& url,
                       const QByteArray& certificate):
    QThread(parent),
    mUrl(url),
    mCert(certificate)
{

}

